image: node:6.9.5
cache:
  paths: 
    - node_modules/
before_script:
  - npm install -g gulp-cli
    
pages:
  stage: deploy
  script:
    - npm install
    - gulp build
  artifacts:
    paths:
    - public
  only:
  - pages